View Javadoc

    1   //
    2   // This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
    3   // See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
    4   // Any modifications to this file will be lost upon recompilation of the source schema.
    5   // Generated on: 2012.11.09 at 12:33:57 PM EST
    6   //
    7
    8
    9   package org.owasp.dependencycheck.jaxb.pom.generated;
    10
    11  import javax.annotation.Generated;
    12  import javax.xml.bind.annotation.XmlAccessType;
    13  import javax.xml.bind.annotation.XmlAccessorType;
    14  import javax.xml.bind.annotation.XmlElement;
    15  import javax.xml.bind.annotation.XmlType;
    16
    17
    18  /**
    19   *
    20   *         Repository contains the information needed for deploying to the remote repository.
    21   *
    22   *
    23   * <p>Java class for DeploymentRepository complex type.
    24   *
    25   * <p>The following schema fragment specifies the expected content contained within this class.
    26   *
    27   * <pre>
    28   * &lt;complexType name="DeploymentRepository">
    29   *   &lt;complexContent>
    30   *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
    31   *       &lt;all>
    32   *         &lt;element name="uniqueVersion" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
    33   *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    34   *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    35   *         &lt;element name="url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    36   *         &lt;element name="layout" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    37   *       &lt;/all>
    38   *     &lt;/restriction>
    39   *   &lt;/complexContent>
    40   * &lt;/complexType>
    41   * </pre>
    42   *
    43   *
    44   */
    45  @XmlAccessorType(XmlAccessType.FIELD)
    46  @XmlType(name = "DeploymentRepository", propOrder = {
    47
    48  })
    49  @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    50  public class DeploymentRepository {
    51
    52      @XmlElement(defaultValue = "true")
    53      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    54      protected Boolean uniqueVersion;
    55      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    56      protected String id;
    57      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    58      protected String name;
    59      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    60      protected String url;
    61      @XmlElement(defaultValue = "default")
    62      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    63      protected String layout;
    64
    65      /**
    66       * Gets the value of the uniqueVersion property.
    67       *
    68       * @return
    69       *     possible object is
    70       *     {@link Boolean }
    71       *
    72       */
    73      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    74      public Boolean isUniqueVersion() {
    75          return uniqueVersion;
    76      }
    77
    78      /**
    79       * Sets the value of the uniqueVersion property.
    80       *
    81       * @param value
    82       *     allowed object is
    83       *     {@link Boolean }
    84       *
    85       */
    86      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    87      public void setUniqueVersion(Boolean value) {
    88          this.uniqueVersion = value;
    89      }
    90
    91      /**
    92       * Gets the value of the id property.
    93       *
    94       * @return
    95       *     possible object is
    96       *     {@link String }
    97       *
    98       */
    99      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    100     public String getId() {
    101         return id;
    102     }
    103
    104     /**
    105      * Sets the value of the id property.
    106      *
    107      * @param value
    108      *     allowed object is
    109      *     {@link String }
    110      *
    111      */
    112     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    113     public void setId(String value) {
    114         this.id = value;
    115     }
    116
    117     /**
    118      * Gets the value of the name property.
    119      *
    120      * @return
    121      *     possible object is
    122      *     {@link String }
    123      *
    124      */
    125     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    126     public String getName() {
    127         return name;
    128     }
    129
    130     /**
    131      * Sets the value of the name property.
    132      *
    133      * @param value
    134      *     allowed object is
    135      *     {@link String }
    136      *
    137      */
    138     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    139     public void setName(String value) {
    140         this.name = value;
    141     }
    142
    143     /**
    144      * Gets the value of the url property.
    145      *
    146      * @return
    147      *     possible object is
    148      *     {@link String }
    149      *
    150      */
    151     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    152     public String getUrl() {
    153         return url;
    154     }
    155
    156     /**
    157      * Sets the value of the url property.
    158      *
    159      * @param value
    160      *     allowed object is
    161      *     {@link String }
    162      *
    163      */
    164     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    165     public void setUrl(String value) {
    166         this.url = value;
    167     }
    168
    169     /**
    170      * Gets the value of the layout property.
    171      *
    172      * @return
    173      *     possible object is
    174      *     {@link String }
    175      *
    176      */
    177     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    178     public String getLayout() {
    179         return layout;
    180     }
    181
    182     /**
    183      * Sets the value of the layout property.
    184      *
    185      * @param value
    186      *     allowed object is
    187      *     {@link String }
    188      *
    189      */
    190     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    191     public void setLayout(String value) {
    192         this.layout = value;
    193     }
    194
    195 }